Bug 479018 - func cannot install from yum on F10
func cannot install from yum on F10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: func (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Bryan Kearney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 10:27 EST by Joshua Brindle
Modified: 2014-01-21 18:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:30:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Brindle 2009-01-06 10:27:37 EST
Description of problem:
func cannot be installed from yum on F10, a needed dependancy (certmaster >= 0.24) is not available in yum

Version-Release number of selected component (if applicable):


How reproducible:
completely

Steps to Reproduce:
1. yum install func
2.
3.
  
Actual results:
  --> Missing Dependency: certmaster >= 0.24 is needed by package func-0.24-1.fc10.noarch (updates)
Error: Missing Dependency: certmaster >= 0.24 is needed by package func-0.24-1.fc10.noarch (updates)

Expected results:


Additional info:
Comment 1 Jeffrey C. Ollie 2009-01-07 14:23:44 EST
This seems to be becuase func 0.24 is in updates and certmaster 0.24 is in updates-testing.  func 0.24 and certmaster 0.24 were published as separate updates:

https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11692
https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11792

This can be avoided in the future by publishing the updates as a single update with multiple packages.
Comment 2 Charlie Bennett 2009-09-22 17:05:01 EDT
This has gotten worse.

func-0.25 has been pushed to updates
certmaster-0.25 has not


THE FEDORA 10 YUM REPOSITORY IS BROKEN

please push certmaster-0.25

thanks.
Comment 3 Dylan Swift 2009-09-28 10:15:21 EDT
func-0.25-2.fc10.noarch and dependency certmaster-0.25-1.fc10.noarch now installable from fedora 'updates' yum repository
Comment 5 Bug Zapper 2009-11-18 04:44:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:30:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.